60-Day Trader Deposit Analytics

Returns 60-day aggregated deposit summaries for trader addresses with cumulative deposits >= 100 pUSD. Requires an Individual plan subscription or higher.
GET/v2/analytics/deposits

Request Parameters

Required headers and parameter specifications for this endpoint.

Headers
HeaderTypeRequiredDescription
X-PolyEdge-KeystringrequiredPolyEdge API Key for client authentication and rate-limiting
Query Parameters
ParameterTypeDefaultDescription
addresses
string-
Ethereum wallet addresses (comma-separated, max 100 addresses, case-insensitive, e.g. 0x...,0x...)
min_amount
number-
Minimum total deposit amount in USD (e.g. 100 for $100)
max_amount
number-
Maximum total deposit amount in USD (e.g. 50000 for $50,000)
first_deposit_min
string-
Earliest 60-day first deposit time (RFC3339)
first_deposit_max
string-
Latest 60-day first deposit time (RFC3339)
last_deposit_min
string-
Earliest last deposit time (RFC3339)
last_deposit_max
string-
Latest last deposit time (RFC3339)
first_trade_min
string-
Earliest first trade time (RFC3339)
first_trade_max
string-
Latest first trade time (RFC3339)
last_trade_min
string-
Earliest last trade time (RFC3339)
last_trade_max
string-
Latest last trade time (RFC3339)
sort_by
stringtotal_deposit
Sorting field
Options:total_depositdeposit_countfirst_deposit_atlast_deposit_atfirst_trade_atlast_trade_at
order
stringdesc
Sort order
Options:descasc
limit
integer100
Number of records to return (1-200)
offset
integer0
Pagination offset

Response (200 OK)

Field definitions for the successful response payload.

application/json
200 Response Example
json
{
  "items": [
    {
      "address": "0x4b7c83c98498f790c58b90f96019c31278c777d1",
      "deposit_count": 2587,
      "first_deposit_at": "2026-08-06T22:29:23Z",
      "first_trade_at": "2026-08-13T07:27:45Z",
      "last_deposit_at": "2026-09-29T06:08:30Z",
      "last_trade_at": "2026-09-14T11:05:28Z",
      "total_deposit": "201044106587916"
    },
    {
      "address": "0x2c050eaf2feaa3dd6e8787d227705c72acfaacd6",
      "deposit_count": 831,
      "first_deposit_at": "2026-08-27T14:24:30Z",
      "first_trade_at": "2026-08-27T14:26:33Z",
      "last_deposit_at": "2026-09-28T22:07:18Z",
      "last_trade_at": "2026-08-28T16:35:21Z",
      "total_deposit": "151904758252063"
    },
    {
      "address": "0xd8d8ac7cc5ebb0f3ec7c0936f287765f24d86873",
      "deposit_count": 897,
      "first_deposit_at": "2026-08-01T21:11:26Z",
      "first_trade_at": "2026-08-01T21:18:03Z",
      "last_deposit_at": "2026-09-28T20:55:53Z",
      "last_trade_at": "2026-09-11T21:11:16Z",
      "total_deposit": "128203055741517"
    },
    {
      "address": "0x4894c2adb48bfbca227c1e234850c15733ef3ed0",
      "deposit_count": 552,
      "first_deposit_at": "2026-08-21T22:08:34Z",
      "first_trade_at": "2026-09-20T14:53:42Z",
      "last_deposit_at": "2026-09-28T14:18:03Z",
      "last_trade_at": "2026-09-20T15:03:55Z",
      "total_deposit": "93355656456693"
    },
    {
      "address": "0x74defd417e55ec933b2d1fe63b0a08de7e7ceb89",
      "deposit_count": 741,
      "first_deposit_at": "2026-08-21T07:32:42Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-09-29T08:40:42Z",
      "last_trade_at": "",
      "total_deposit": "82077291626804"
    },
    {
      "address": "0xdca4af75705dbb50f62437045aff9921947917d2",
      "deposit_count": 37910,
      "first_deposit_at": "2026-07-31T08:59:56Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-09-29T08:57:42Z",
      "last_trade_at": "",
      "total_deposit": "60176018166172"
    },
    {
      "address": "0xb02c113bb98bfbbb7638b5d60dc259c81b035ad0",
      "deposit_count": 425,
      "first_deposit_at": "2026-07-31T14:16:42Z",
      "first_trade_at": "2026-07-15T23:10:02Z",
      "last_deposit_at": "2026-08-30T11:57:18Z",
      "last_trade_at": "2026-08-13T20:11:51Z",
      "total_deposit": "59198349876877"
    },
    {
      "address": "0x2b52604f85fda75155838d15e037f2a1f7d7cba1",
      "deposit_count": 431,
      "first_deposit_at": "2026-08-27T11:20:30Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-09-28T21:35:05Z",
      "last_trade_at": "",
      "total_deposit": "56937989031300"
    },
    {
      "address": "0xfdb1b8dc7f5789a0c9a398026585b8b10fba5507",
      "deposit_count": 60,
      "first_deposit_at": "2026-08-01T00:00:23Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-09-29T00:00:41Z",
      "last_trade_at": "",
      "total_deposit": "50187538769286"
    },
    {
      "address": "0x9d7f260b604fe71f4c6df11a1ca907a76520db6c",
      "deposit_count": 52,
      "first_deposit_at": "2026-07-31T15:50:53Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-09-29T00:00:53Z",
      "last_trade_at": "",
      "total_deposit": "43396003532450"
    },
    {
      "address": "0x6d20c35f65d9899b6d6b74f8466e824580f9a165",
      "deposit_count": 257,
      "first_deposit_at": "2026-07-31T15:07:51Z",
      "first_trade_at": "2026-06-19T18:37:08Z",
      "last_deposit_at": "2026-08-31T05:08:57Z",
      "last_trade_at": "2026-08-28T03:57:24Z",
      "total_deposit": "30250750451354"
    },
    {
      "address": "0xab8e91395ed46a81474a05425902a826285b07d1",
      "deposit_count": 205,
      "first_deposit_at": "2026-08-06T02:07:06Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-08-28T23:07:43Z",
      "last_trade_at": "",
      "total_deposit": "23689977137080"
    },
    {
      "address": "0xb92fe925dc43a0ecde6c8b1a2709c170ec4fff4f",
      "deposit_count": 46988,
      "first_deposit_at": "2026-07-31T08:59:56Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-09-29T08:58:39Z",
      "last_trade_at": "",
      "total_deposit": "22028299769765"
    },
    {
      "address": "0x520bf77d9d34c34a6a9723f50e1dcb887ed238c5",
      "deposit_count": 37,
      "first_deposit_at": "2026-08-03T12:42:15Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-09-29T00:00:47Z",
      "last_trade_at": "",
      "total_deposit": "15224577933764"
    },
    {
      "address": "0xc8a6871d4ec4dae64f605db0f8a0b3d9ef928d64",
      "deposit_count": 2301,
      "first_deposit_at": "2026-07-31T08:59:56Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-09-29T08:51:17Z",
      "last_trade_at": "",
      "total_deposit": "13724539755117"
    },
    {
      "address": "0x6a88c5ecd262e2c42e78bad8e6db7ab3c4e4b859",
      "deposit_count": 119,
      "first_deposit_at": "2026-07-31T21:03:26Z",
      "first_trade_at": "2026-04-28T12:51:08Z",
      "last_deposit_at": "2026-09-29T04:24:50Z",
      "last_trade_at": "2026-09-28T21:20:35Z",
      "total_deposit": "13531059500000"
    },
    {
      "address": "0xd8150061a8cf6584b0a960e14178ee30f470e116",
      "deposit_count": 80,
      "first_deposit_at": "2026-09-24T13:04:47Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-09-29T08:10:50Z",
      "last_trade_at": "",
      "total_deposit": "13010297906026"
    },
    {
      "address": "0xa348f900d969f6ae50c1f46c1d708c46e64a600a",
      "deposit_count": 79,
      "first_deposit_at": "2026-08-01T16:03:05Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-09-28T05:19:29Z",
      "last_trade_at": "",
      "total_deposit": "11391471337648"
    },
    {
      "address": "0x8eb1b60f29917bd17d138e9d9fad2fa77f3119a6",
      "deposit_count": 3539,
      "first_deposit_at": "2026-07-31T09:03:08Z",
      "first_trade_at": "",
      "last_deposit_at": "2026-09-29T08:09:26Z",
      "last_trade_at": "",
      "total_deposit": "9255488766480"
    },
    {
      "address": "0x51698a47f840a242abc2ca0351371c7ffac41842",
      "deposit_count": 58,
      "first_deposit_at": "2026-09-08T16:07:21Z",
      "first_trade_at": "2026-09-08T16:47:55Z",
      "last_deposit_at": "2026-09-29T07:57:06Z",
      "last_trade_at": "2026-09-15T15:25:01Z",
      "total_deposit": "9087000540000"
    }
  ],
  "total": 117099,
  "updated_at": "2026-09-29T08:59:33.030408652Z"
}
Response Body Fields
FieldTypeDescription
items
array of objects-
├─address
string-
├─deposit_count
integer-
├─first_deposit_at
stringEarliest deposit time in 60-day window (RFC3339)
├─first_trade_at
string-
├─last_deposit_at
stringMost recent deposit time (RFC3339)
├─last_trade_at
string-
├─total_deposit
string6 decimals micro-USD integer as string (e.g. "100000000")
total
integer-
updated_at
string-

cURL Example

Copy and run this command directly in your terminal to test this endpoint.

cURL: GET /v2/analytics/deposits
bash
curl -X GET "https://api.polyedge.dev/v2/analytics/deposits?sort_by=total_deposit&order=desc&limit=100&offset=0" \
  -H "X-PolyEdge-Key: Your-PolyEdge-ApiKey"